Skip to main content
GET
/
bundles
/
{bundleId}
/
options
List Bundle Options
curl --request GET \
  --url https://api.secure.quotivity.com/v1/bundles/{bundleId}/options \
  --header 'x-api-key: <api-key>'
{
  "options": [
    {
      "id": "<string>",
      "accountId": "<string>",
      "bundleId": "<string>",
      "name": "<string>",
      "priceBookId": "<string>",
      "displayOrder": 123,
      "configuration": {
        "minCount": 123,
        "maxCount": 123,
        "defaultOptionProductId": "<string>"
      },
      "description": "<string>",
      "defaultProduct": {
        "id": "<string>",
        "accountId": "<string>",
        "bundleId": "<string>",
        "optionId": "<string>",
        "productId": "<string>",
        "properties": {},
        "displayOrder": 123,
        "configuration": {
          "minQuantity": 123,
          "maxQuantity": 123,
          "readonlyQuantity": true
        }
      }
    }
  ],
  "nextKey": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

bundleId
string
required

Query Parameters

startKey
string

Cursor for pagination

limit
string
default:500

Response

Successfully retrieved bundle options

options
object[]
required
nextKey
string | null